> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penciled.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Waitlist Runs

> Get a list of waitlist runs



## OpenAPI

````yaml GET /v1/waitlistruns
openapi: 3.0.1
info:
  title: Penciled API
  description: Penciled - Generative Voice AI Agents for Healthcare
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.penciled.com
security:
  - bearerAuth: []
paths:
  /v1/waitlistruns:
    get:
      description: Get a list of waitlist runs
      parameters:
        - name: waitlist_run_id
          in: query
          description: >-
            The ID of the waitlist run, please use either this or the start and
            end date
          required: false
          schema:
            type: string
        - name: start_date
          in: query
          description: >-
            The start date of the created_at to filter by in ISO format:
            2024-12-03T00:00:00.000-08:00
          required: false
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: >-
            The end date of the created_at to filter by in ISO format:
            2024-12-05T00:00:00.000-08:00
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Waitlist run response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WaitlistRun'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WaitlistRun:
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/SubWaitlistRun'
            - type: object
              properties:
                booked_by_first_name:
                  type: string
                  example: John
                booked_by_last_name:
                  type: string
                  example: Doe
                booked_by_phone_number:
                  type: string
                  example: '1234567890'
                booked_by_email:
                  type: string
                  example: john.doe@example.com
        - $ref: '#/components/schemas/SubWaitlistRun'
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    SubWaitlistRun:
      type: object
      properties:
        waitlist_run_id:
          type: string
          example: '123456789'
        appointment_date:
          type: string
          example: '2024-12-09T11:15:00.000-08:00'
        state:
          type: string
          example: accepted
        state_justification:
          type: string
          example: Patient accepted appointment
        expiration_date:
          type: string
          example: '2024-12-09T11:00:00.000-08:00'
        time_to_fill_minutes:
          type: integer
          example: 12
        created_at:
          type: string
          example: '2024-12-09T11:00:00.000-08:00'
        ehr_patient_id:
          type: string
          example: '123456789'
        ehr_appt_type_id:
          type: string
          example: '1234'
        appointment_type_name:
          type: string
          example: Appointment Type Name
        ehr_provider_id:
          type: string
          example: '5678'
        provider_first_name:
          type: string
          example: Provider First Name
        provider_last_name:
          type: string
          example: Provider Last Name
        location:
          type: string
          example: Location Name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````